@if (componentData) {
  <span class="label-color flex-row m-t-10 m-r-10">{{
    'sqtm-core.entity.bugtracker.cache-configuration.credentials.label'
      | translate
  }}</span>

  <div class="block-border p-l-10">
    <sqtm-core-third-party-credentials-form
      [authenticationProtocol]="componentData.bugTracker.authProtocol"
      [credentials]="componentData.bugTracker.reportingCacheCredentials"
      [useRevokeButton]="true"
      [useRemoveButton]="true"
      [loginFieldKey]="loginFieldKey$ | async"
      [passwordFieldKey]="passwordFieldKey$ | async"
      (submit)="sendCredentialsForm($event)"
      (submitOauth2)="requestAndSaveOauth2Token()"
      (revokeTokens)="deleteCredentials(componentData.bugTracker)"
    >
    </sqtm-core-third-party-credentials-form>

    <sqtm-core-third-party-credentials-form-status
      class="full-row flex-row m-t-10"
      [statusIcon]="statusIcon"
      [statusMessage]="credentialsStatusMessage"
    >
    </sqtm-core-third-party-credentials-form-status>
  </div>

  <span class="label-color flex-row m-t-10 m-r-10">{{
    'sqtm-core.administration-workspace.bugtrackers.cache-configuration.cache-info.cache-content'
      | translate
  }}</span>

  <sqtm-core-grid></sqtm-core-grid>
}
